
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class IOReportLegend {

    @SerializedName("IOReportChannelInfo")
    private IOReportChannelInfo iOReportChannelInfo;
    @SerializedName("IOReportChannels")
    private List<List<String>> iOReportChannels;
    @SerializedName("IOReportGroupName")
    private String iOReportGroupName;

    public IOReportChannelInfo getIOReportChannelInfo() {
        return iOReportChannelInfo;
    }

    public void setIOReportChannelInfo(IOReportChannelInfo iOReportChannelInfo) {
        this.iOReportChannelInfo = iOReportChannelInfo;
    }

    public List<List<String>> getIOReportChannels() {
        return iOReportChannels;
    }

    public void setIOReportChannels(List<List<String>> iOReportChannels) {
        this.iOReportChannels = iOReportChannels;
    }

    public String getIOReportGroupName() {
        return iOReportGroupName;
    }

    public void setIOReportGroupName(String iOReportGroupName) {
        this.iOReportGroupName = iOReportGroupName;
    }

}
